Bug 21854 - Patron category is not showing during batch modification
Summary: Patron category is not showing during batch modification
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-16 17:21 UTC by Nick Clemens
Modified: 2019-01-02 09:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21854: Use template plugin to display category description (3.30 KB, patch)
2018-11-16 17:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21854: Use template plugin to display category description (3.36 KB, patch)
2018-11-16 19:01 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21854: Use template plugin to display category description (3.42 KB, patch)
2018-11-17 05:12 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 21854: Use template plugin to display category description (3.50 KB, patch)
2018-11-20 14:46 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-11-16 17:21:59 UTC Comment hidden (obsolete)
Comment 1 Nick Clemens 2018-11-16 17:24:00 UTC
Created attachment 82415 [details] [review]
Bug 21854: Use template plugin to display category description

Rather than getting the description in the script and passing, we should
just use the tmeplate plugin to get the description from the category
code.

To test:
1 - Find a patron, note their category
2 - Visit Tools - Batch patron modification
3 - Enter barcode of patron above
4 - Note category does not show in the display of patrons to be modified
5 - Apply patch
6 - Reload the page, note the patron category displays
7 - Modify the patron (anything but category)
8 - Check that category still diplays correctly in results
Comment 2 Pierre-Marc Thibault 2018-11-16 19:01:28 UTC
Created attachment 82417 [details] [review]
Bug 21854: Use template plugin to display category description

Rather than getting the description in the script and passing, we should
just use the tmeplate plugin to get the description from the category
code.

To test:
1 - Find a patron, note their category
2 - Visit Tools - Batch patron modification
3 - Enter barcode of patron above
4 - Note category does not show in the display of patrons to be modified
5 - Apply patch
6 - Reload the page, note the patron category displays
7 - Modify the patron (anything but category)
8 - Check that category still diplays correctly in results

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 3 Andreas Roussos 2018-11-17 05:12:58 UTC
Created attachment 82421 [details] [review]
Bug 21854: Use template plugin to display category description

Rather than getting the description in the script and passing, we should
just use the tmeplate plugin to get the description from the category
code.

To test:
1 - Find a patron, note their category
2 - Visit Tools - Batch patron modification
3 - Enter barcode of patron above
4 - Note category does not show in the display of patrons to be modified
5 - Apply patch
6 - Reload the page, note the patron category displays
7 - Modify the patron (anything but category)
8 - Check that category still diplays correctly in results

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Signed-off-by: Andreas Roussos <arouss1980@gmail.com>
Comment 4 Marcel de Rooy 2018-11-20 14:46:35 UTC
Created attachment 82548 [details] [review]
Bug 21854: Use template plugin to display category description

Rather than getting the description in the script and passing, we should
just use the tmeplate plugin to get the description from the category
code.

To test:
1 - Find a patron, note their category
2 - Visit Tools - Batch patron modification
3 - Enter barcode of patron above
4 - Note category does not show in the display of patrons to be modified
5 - Apply patch
6 - Reload the page, note the patron category displays
7 - Modify the patron (anything but category)
8 - Check that category still diplays correctly in results

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Signed-off-by: Andreas Roussos <arouss1980@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Nick Clemens 2018-11-21 11:38:42 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Jesse Maseto 2018-12-07 22:06:07 UTC
Backported to 18.05 for 18.05.07
Comment 7 Fridolin SOMERS 2018-12-19 09:18:38 UTC
Pushed to 17.11.x for 17.11.13